Redmine plus Agile plugin shows followig error when try to enter "agile" board 1. Redmine 500 error 2. Log file shows

Keywords: Redmine - Windows - How to - Permissions
Description:
Environment : Windows 10, Bitname plug agile package

https://bitnami.com/stack/redmine-plus-agile

  1. When to click “agile”
Internal error
An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back
  1. Log file shows
Started GET "/agile/board" for 127.0.0.1 at 2021-04-12 15:01:57 +0900
Processing by AgileBoardsController#index as HTML
  Current user: admin (id=1)
Completed 500 Internal Server Error in 70ms (ActiveRecord: 18.4ms)
  
NoMethodError (undefined method `groupable' for #<QueryColumn:0x000000000a7cfe70>
Did you mean?  groupable=
               groupable?):
  
plugins/redmine_agile/app/models/agile_query.rb:350:in `block in groupable_columns'
plugins/redmine_agile/app/models/agile_query.rb:350:in `select'
plugins/redmine_agile/app/models/agile_query.rb:350:in `groupable_columns'
app/models/query.rb:907:in `group_by_column'
app/models/query.rb:890:in `group_by_sort_order'
plugins/redmine_agile/app/models/agile_query.rb:494:in `issues'
plugins/redmine_agile/app/controllers/agile_boards_controller.rb:57:in `index'
lib/redmine/sudo_mode.rb:61:in `sudo_mode'

Hi @chjung90,

Is this a fresh installation or did you make any change that caused this after installing the application?

We have a Support Tool that will gather relevant information for us to analyze your configuration and logs. Could you please execute it on the machine where the stack is running by following the steps described in the guide below?

Please note that you need to paste the code ID that is shown at the end.

Hi,
Thank you for let me know the support tool.
Here’s my ticket number.

The support bundle was uploaded successfully to the Bitnami servers. Please copy the following code:

6a6bd9ef-b70b-c336-bc32-4365c05df13a

And paste it in your Bitnami Support ticket.

Hi @chjung90,

You didn’t answer my question, did you make any change after finishing the installation process?

Apart from that information, could you please let us know if you used special characters when setting the user, mail or password of the application?

Thanks

Hi,

Didn’t made change after install and used normal ascii characters only.

Thanks

Ok @chjung90,

Will try to reproduce the issue and will update this thread once I have more information

Hi @chjung90,

We reproduced the issue and found that the Agile plugin does not support the latest version of Redmine and that’s causing the error.

https://www.redmine.org/plugins/redmine_agile

You will need to use a previous version of the installer to be able to use the Agile plugin

https://downloads.bitnami.com/files/stacks/redmineplusagile/4.1.2-0/redmineplusagile-4.1.2-0-windows-x64-installer.exe

I’ll create an internal task to downgrade the installer to use Redmine 4.1.x.

Thanks

Hi, @jota

Thanks a lot.
4.1.2-0 works!

regards,

Hi.

I am using the Virtual Machine package of Redmine+Agile and the version of Redmine in it is 4.2.0. That version, as noted above, is not compatible with the Agile plug-in. So you would need to downgrade Redmine to 4.1.2 in all packages. Moreover, the Agile plug-in is not up to date in the VM as 1.6.0 is out. In the Admin page of Redmine, the plug-in does not upgrade. See attached screenshot. Thanks.Capture

Hi @ripic81077,

The Bitnami Redmine + Agile version 4.1.2 was released with the Agile version that was available at that moment. You can easily install the latest version of the plugin by following our guide

https://docs.bitnami.com/aws/apps/redmine-plus-agile/configuration/install-plugins/

However, the Agile team didn’t provide the latest version to us, we will review that and update the solution when available.

Hi @jota,

Thanks for your quick answer. Is the version of Redmine downgraded to 4.1.X in the Redmine+Agile virtual machine now? Because the Agile plug-in does not work (same error than OP - Internal error, etc) and while Agile can be upgraded, it is difficult to downgrade Redmine once installed. Btw, sorry as it was probably unclear but the latest version of Agile is still not compatible with Redmine 4.2.X… Tell me if Redmine was downgraded in the VM for Redmine+Agile. Thanks!

Hi @ripic81077,

No, the current Redmine + Agile VM uses Redmine 4.2. If you want a VM with Redmine 4.1.2, please use this one

https://downloads.bitnami.com/files/stacks/redmineplusagile/4.1.2-0/bitnami-redmineplusagile-4.1.2-0-linux-debian-10-x86_64.ova

Happy to help!


Was my answer helpful? Click on :heart:

I did not test it yet, only downloaded, but thanks in advance! I’m pretty sure it will work :+1:. Will post back if it does not.

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.